Subject: Re: Artesyn Processor PMC 'Host Bridge' has no IRQ assigned?

From: "Travis B. Sawyer" <[email-masked]>
Date: Tue, 07 Feb 2006 17:56:04 -0500

David Hawkins wrote:

> What appears strange to me is that there is no IRQ assigned.
>
Ouch.

> I haven't used PrPMC boards before, so perhaps this
> is normal.
>
> Travis, you mentioned you'd used this board before. Do you
> recall if this 'feature' is configurable, i.e., can I enable
> an interrupt. I'll also take a look in the IBM CPC700 bridge
> data sheet and see if I can see anything in there.
>
It's been a couple of years since I've had to mess with the ArtPrPMC board.
There is, IIRC, there is a doorbell register in the CPC700, but I don't 
have the spec
handy.  My last use of the prpmc was with vxworks and shared memory 
messaging
using a doorbell.

> I checked the mode of the PMC board using the monitor program.
> It says its in non-Monarch mode, so it is correctly configuring
> itself as a PCI peripheral.
>
> My objective for the board is to put U-Boot on it (Travis mentioned
> the Artesyn board is supported), boot Linux, and then write
> drivers for communicating over PCI to an x86 host (much as
> I plan to do with the 440EP processor).
>
Umm... I recall stating the XPEDITE1000 from X-ES was supported by u-boot
(I'll have to submit another patch to Wolfgang as they(XES) changed some 
stuff wrt
flash write protect, I've also moved the env from the cramped i2c eeprom 
(bad) to
the intel flash).

I'd have to check the u-boot source for PrPMC support, as I haven't run 
u-boot on it.

Best Regards, and good luck!
-travis